Patches for aports can be sent to this list

[alpine-aports] [PATCH] testing/libnatspec: new aport

Valery Kartel
Details
Message ID
<1444736650-22663-1-git-send-email-valery.kartel@gmail.com>
Sender timestamp
1444736650
DKIM signature
missing
Download raw message
Patch: +50 -0
---
 testing/libnatspec/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/libnatspec/APKBUILD

diff --git a/testing/libnatspec/APKBUILD b/testing/libnatspec/APKBUILD
new file mode 100644
index 0000000..d337a28
--- /dev/null
+++ b/testing/libnatspec/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+pkgname=libnatspec
+pkgver=0.3.0
+pkgrel=0
+pkgdesc="Library for national and language-specific issues"
+url="http://natspec.sourceforge.net"
+arch="all"
+license="LGPLv2"
+depends=""
+depends_dev="popt-dev"
+makedepends="autoconf automake libtool $depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
+source="http://downloads.sourceforge.net/project/natspec/natspec/0.3.0/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	autoreconf --install --force || return 1
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+tools() {
+	pkgdesc="$pkgdesc (tools)"
+	install -d "$subpkgdir"/usr || return 1
+	mv "$pkgdir"/usr/bin "$subpkgdir"/usr || return 1
+}
+md5sums="1bacec86f8688415a821a6ffae55532e  libnatspec-0.3.0.tar.bz2"
+sha256sums="678db5f2e25be3e79183ecc9ff6b19fb66775bcb6c3c962ba7716bc4a8ecce71  libnatspec-0.3.0.tar.bz2"
+sha512sums="5c04358d20be5b6ffc7038bddd4514c4b5b4e9940fb6247070b832da9d059b31fd1306cf29f54e4a1b8be1d909176bd72e6ffa98e4b750840764f9b2c250d31c  libnatspec-0.3.0.tar.bz2"
-- 
2.5.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---